aboutsummaryrefslogtreecommitdiffstats
path: root/make/runtest-cvm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/runtest-cvm.sh')
-rw-r--r--make/runtest-cvm.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/make/runtest-cvm.sh b/make/runtest-cvm.sh
new file mode 100644
index 0000000..268cf6e
--- /dev/null
+++ b/make/runtest-cvm.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+CVM=$1
+shift
+
+builddir=$1
+shift
+
+if [ ! -x "$CVM" -o -z "$builddir" ] ; then
+ echo Usage $0 CVM-Binary build-dir
+ exit 1
+fi
+
+echo com.sun.gluegen.test.TestPointerBufferEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.sun.gluegen.test.TestPointerBufferEndian
+echo
+echo com.sun.gluegen.test.TestStructAccessorEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.sun.gluegen.test.TestStructAccessorEndian
+echo